## ros-kinetic-rtt-tf 2.9.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rtt_tf)

find_package(catkin REQUIRED COMPONENTS tf rtt_ros rtt_roscomm tf2)

ros_generate_rtt_typekit(tf)

include_directories(${catkin_INCLUDE_DIRS})

orocos_component(rtt_tf rtt_tf-component.cpp)
target_link_libraries(rtt_tf ${catkin_LIBRARIES})
orocos_install_headers( rtt_tf-component.hpp )
orocos_install_headers(include/rtt_tf/tf_interface.h)

orocos_generate_package(
  INCLUDE_DIRS include
  DEPENDS tf
  DEPENDS_TARGETS rtt_roscomm rtt_geometry_msgs
)

# Tests
if(CATKIN_ENABLE_TESTING)
  orocos_use_package(ocl-taskbrowser REQUIRED)
  orocos_use_package(ocl-deployment REQUIRED)

  add_definitions(-DRTT_COMPONENT)
  orocos_executable(broadcaster_test tests/broadcaster_test.cpp)
  target_link_libraries(broadcaster_test ${catkin_LIBRARIES} ${USE_OROCOS_LIBRARIES})
  orocos_executable(lookup_test tests/lookup_test.cpp)
  target_link_libraries(lookup_test ${catkin_LIBRARIES} ${USE_OROCOS_LIBRARIES})
endif()

=== debian/changelog ===
ros-kinetic-rtt-tf (2.9.2-1xenial) xenial; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Tue, 14 May 2019 22:00:00 -0000

ros-kinetic-rtt-tf (2.9.1-1xenial) xenial; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Wed, 15 Nov 2017 23:00:00 -0000

ros-kinetic-rtt-tf (2.9.0-1xenial) xenial; urgency=high

  * Added individual changelogs and bumped versions to 2.9.0
  * Contributors: Johannes Meyer

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Mon, 01 May 2017 22:00:00 -0000

ros-kinetic-rtt-tf (2.8.6-1xenial) xenial; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Tue, 14 Nov 2017 23:00:00 -0000

ros-kinetic-rtt-tf (2.8.5-1xenial) xenial; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Mon, 27 Mar 2017 22:00:00 -0000

ros-kinetic-rtt-tf (2.8.4-1xenial) xenial; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Fri, 25 Nov 2016 23:00:00 -0000

ros-kinetic-rtt-tf (2.8.3-1xenial) xenial; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Tue, 19 Jul 2016 22:00:00 -0000

ros-kinetic-rtt-tf (2.8.2-1xenial) xenial; urgency=high

  * see rtt_ros_integratoin/CHANGELOG.rst <../rtt_ros_integration/CHANGELOG.rst>

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Thu, 11 Jun 2015 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rtt-tf
Section: misc
Priority: extra
Maintainer: Orocos Developers <orocos-dev@lists.mech.kuleuven.be>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-rtt, ros-kinetic-rtt-geometry-msgs, ros-kinetic-rtt-roscomm, ros-kinetic-tf
Homepage: http://ros.org/wiki/rtt_ros_integration
Standards-Version: 3.9.2

Package: ros-kinetic-rtt-tf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-rtt, ros-kinetic-rtt-geometry-msgs, ros-kinetic-rtt-roscomm, ros-kinetic-tf
Description: This package contains the components of the rtt_tf package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rtt-tf//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
